# Setup Layout

To setup layout point path of that layout in routes as following :

`{` \
&#x20;    `path: '',` \
&#x20;    `loadChildren: './layouts/default-layout/default-layout.module#DefaultLayoutModule',` \
&#x20;    `canActivate: [AuthGuard] // Make Auth Route`\
`}`

```typescript
const appRoutes: Routes = [
  {
    path: '',
    pathMatch: 'full',
    redirectTo: '/home'
  },
  {
    path: '',
    loadChildren: './layouts/auth-layout/auth.module#AuthModule'
  },
  {
    path: '',
    loadChildren: './layouts/default-layout/default-layout.module#DefaultLayoutModule',
    canActivate: [AuthGuard]
  },
  {
    path: '**',
    redirectTo: '/home'
  }
];
```

We are using **Default Layout** in the above example. You can chenge layout you want to use. To see layouts list, go to [Layouts](/structure/layouts.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-drift-angular.g-axon.work/installation-and-setup/setup-layout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
